Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bytes
Class ByteArray

    java.lang.Object
      org.jbpm.bytes.ByteArray

All Implemented Interfaces:
  java.io.Serializable

    public class ByteArray

extends java.lang.Object
implements java.io.Serializable

is a persistable array of bytes. While there is no generic way of storing blobs that is supported by many databases, all databases are able to handle small chunks of bytes properly. It is the responsibility of this class to chop the large byte array into small chunks of 1K (and combine the chunks again in the reverse way). Hibernate will persist the list of byte-chunks in the database. ByteArray is used in process variableInstances and in the file module (that stores the non-parsed process archive files).

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `byteBlocks`
`protected java.lang.String` | `name`

Constructor Summary
`ByteArray()`
`ByteArray(byte[] bytes)`
`ByteArray(ByteArray other)`
`ByteArray(java.lang.String name, byte[] bytes)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.List` | `getByteBlocks()`
`byte[]` | `getBytes()`
`long` | `getId()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### byteBlocks

    protected java.util.List byteBlocks

Constructor Detail

### ByteArray

    public ByteArray()

### ByteArray

    public ByteArray(byte[] bytes)

### ByteArray

    public ByteArray(java.lang.String name,
                     byte[] bytes)

### ByteArray

    public ByteArray(ByteArray other)

Method Detail

### getBytes

    public byte[] getBytes()

### getId

    public long getId()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getByteBlocks

    public java.util.List getByteBlocks()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD